Name:           apricots
Version:        0.2.9
Release:        %mkrel 3
Summary:        2D air combat game
Group:          Games/Arcade
License:        GPL-2.0-only
URL:            https://github.com/moggers87/apricots
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        apricots.png
# Icon created from screenshot on website
Source2:        apricots.desktop
ExcludeArch:    ppc64le aarch64 %{arm32}

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(openal)

%description
It's a game where you fly a little plane around the screen and
shoot things and drop bombs on enemy targets, and it's meant to be quick
and fun.

%prep
%autosetup

sed -i 's|@prefix@/share/apricots/|@prefix@/share/games/apricots/|' apricots/Makefile.*

%build
%configure --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 apricots/data/apricots.cfg %{buildroot}%{_sysconfdir}
rm %{buildroot}%{_gamesdatadir}/apricots/apricots.cfg
ln -s %{_sysconfdir}/apricots.cfg %{buildroot}%{_gamesdatadir}/apricots/apricots.cfg

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install            \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE2}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/24x24/apps
install -p -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/24x24/apps

%files
%license COPYING
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/apricots.cfg
%{_gamesbindir}/apricots
%{_gamesdatadir}/apricots/
%{_datadir}/applications/apricots.desktop
%{_iconsdir}/hicolor/*/apps/apricots.png


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.9-3.mga10
+ Revision: 2236031
- Mageia 10 Mass Rebuild

* Wed Feb 19 2025 daviddavid <daviddavid> 0.2.9-2.mga10
+ Revision: 2149782
- fix dangling link

* Tue Feb 04 2025 daviddavid <daviddavid> 0.2.9-1.mga10
+ Revision: 2145082
- initial package apricots

